sayren Docs
스토어 설정

구성원 초대

POST
/v1/store/invitations
AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

email*string
Match^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
role*string

Value in

  • "ADMIN"
  • "STAFF"

Response Body

application/json

curl -X POST "https://example.com/v1/store/invitations" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "role": "ADMIN"  }'
{  "meta": {    "status": 201,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "invitationId": "string",    "email": "user@example.com",    "role": "ADMIN",    "status": "PENDING",    "invitedBy": "string",    "expiresAt": "string",    "createdAt": "string"  },  "error": null}